const APP_NAME				= "PubSub Sidebar";
const APP_CHROME_NAME		= "pubsubsidebar";
const APP_VERSION			= "0.4.40";
const APP_FILE 				= "pubsubsidebar.jar";
const APP_CONTENTS_PATH		= "content/";
const APP_SKIN_CLASSIC_PATH	= "skin/classic/";

initInstall(APP_NAME, APP_CHROME_NAME, APP_VERSION); 

var chromeFolder = getFolder("Current User", "chrome");
setPackageFolder(chromeFolder);
addFile(APP_NAME, "chrome/" + APP_FILE, chromeFolder, "");

var jarFolder = getFolder(chromeFolder, APP_FILE);
registerChrome( CONTENT | PROFILE_CHROME, jarFolder, APP_CONTENTS_PATH );
registerChrome( SKIN | PROFILE_CHROME, jarFolder, APP_SKIN_CLASSIC_PATH );

var result = getLastError(); 
if(result == SUCCESS) {
	performInstall();
} else {
	cancelInstall(result);
}
